# GET /merchant/provider/available

## GET /merchant/provider/available

> Get all available APM providers ---- \[auth scope:  merchant]

```json
{"openapi":"3.0.0","info":{"title":"Merchant API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AvailableProvidersDto":{"type":"object","properties":{"isActive":{"type":"boolean","description":"The state of the merchant's integration with the APM provider."},"createdAt":{"type":"string","description":"The date of the activation of the APM integration."},"updatedAt":{"type":"string","description":"The date of an update to the APM integration."},"userName":{"type":"string","description":"The name of the user that handled this integration."},"providerName":{"type":"string","description":"The name of the APM provider."},"imageUrl":{"type":"string","description":"The url to the image of the APM provider."},"maxAmount":{"type":"number","description":"The maximum amount the APM provider is eligible for"},"minAmount":{"type":"number","description":"The minimum amount the APM provider is eligible for"},"interestRate":{"type":"number","description":"The interest rate of the APM provider"},"priority":{"type":"number","description":"Provider order based on merchant preference"},"lateFeesAllowed":{"type":"boolean","description":"Late fee"},"customerFeesAllowed":{"type":"boolean","description":"Customer Fee alloweed"},"interestRateAllowed":{"type":"boolean","description":"Interest Rate allowed"},"lateFees":{"type":"string","description":"Late fee allowed"},"customerFees":{"type":"string","description":"Customer Fee"},"lateFeesCustomText":{"type":"string","description":"late fees custom text"},"customerFeesCustomText":{"type":"string","description":"customer fees custom text"},"providerFees":{"type":"number","description":"Provider Fees Flat Rate"},"providerFeesPercentage":{"type":"number","description":"Provider Fees Percentage Rate"},"customerFeesFlat":{"type":"number","description":"Customer Fees Flat Rate"},"customerFeesPercentage":{"type":"number","description":"Customer Fees Percentage Rate"},"surchargeCap":{"type":"number","description":"The cap on surcharge amount"},"currency":{"type":"string","description":"Supported currencies"},"checkoutConfig":{"description":"Checkout configuration","allOf":[{"$ref":"#/components/schemas/BnplCheckoutBtnConfig"}]},"productDetailsConfig":{"description":"Content for APM provider product details","allOf":[{"$ref":"#/components/schemas/BnplProductDetailsConfig"}]},"callbackUrlUseDefault":{"type":"boolean","description":"Use default callback URL"},"callbackRawResponse":{"type":"boolean","description":"Callback raw response"},"callbackEnabled":{"type":"boolean","description":"Enable callback"},"callbackUrl":{"type":"string","description":"Callback URL"},"friendlyName":{"type":"string","description":"Providers friendly name"},"description":{"type":"string","description":"description about provider"},"marketingName":{"type":"string","description":"Providers Marketing name"},"mpgsIdentifier":{"type":"string","description":"Identifier for MPGS"},"preferredDisplayMode":{"type":"string","description":"Preferred display mode for payment"},"incontextDisplayMode":{"type":"string","description":"Incontext display mode for payment"},"popupOverlayConfig":{"description":"Configuration for popup overlay content","allOf":[{"$ref":"#/components/schemas/PopupOverlayConfigDto"}]},"connector":{"type":"string","description":"Connector Text for Providers"},"message":{"type":"string","description":"Message for Providers"},"channelName":{"type":"string","description":"Channel Name"},"channelAlias":{"type":"string","description":"Channel Alias"},"signupDescription":{"type":"string","description":"Signup description for Providers"},"supportDescription":{"type":"string","description":"Support description for Providers"},"signupLink":{"type":"string","description":"Signup link for Providers"},"supportLink":{"type":"string","description":"Support link for Providers"},"logoUrl":{"type":"string","description":"Logo url for Providers"},"customProviderLogo":{"type":"string","description":"Custom Logo for Provider"},"widgetLogoLabel":{"type":"string","description":"The label for the widget logo of the APM provider."},"merchantId":{"type":"string","description":"The ID of the merchant associated with the provider."},"apiKeyReference":{"type":"string","description":"The API key reference for the APM provider."}},"required":["isActive","createdAt","updatedAt","userName","providerName","imageUrl","maxAmount","minAmount","interestRate","priority","lateFeesAllowed","customerFeesAllowed","interestRateAllowed","lateFees","customerFees","lateFeesCustomText","customerFeesCustomText","providerFees","providerFeesPercentage","customerFeesFlat","customerFeesPercentage","surchargeCap","currency","checkoutConfig","productDetailsConfig","callbackUrlUseDefault","callbackRawResponse","callbackEnabled","callbackUrl","friendlyName","description","marketingName","mpgsIdentifier","preferredDisplayMode","incontextDisplayMode","connector","message","channelName","channelAlias","signupDescription","supportDescription","signupLink","supportLink","logoUrl","customProviderLogo","widgetLogoLabel","merchantId","apiKeyReference"]},"BnplCheckoutBtnConfig":{"type":"object","properties":{"content":{"type":"string","description":"HTML content for BNPL provider during checkout"},"iframeUrl":{"type":"string","description":"Iframe URL"},"button":{"description":"Checkout button configuration","allOf":[{"$ref":"#/components/schemas/CheckoutConfigBtn"}]},"termsCondition":{"description":"Terms and condition configuration","allOf":[{"$ref":"#/components/schemas/CheckoutConfigTC"}]}},"required":["content","iframeUrl","button","termsCondition"]},"CheckoutConfigBtn":{"type":"object","properties":{"type":{"type":"string","description":"Config style to use for button. Global or custom"},"text":{"type":"string","description":"Button text"},"color":{"type":"string","description":"Button text color"},"background":{"type":"string","description":"Button background color"},"position":{"type":"string","description":"Button positioning"},"size":{"type":"string","description":"The button size"}},"required":["type","text","color","background","position","size"]},"CheckoutConfigTC":{"type":"object","properties":{"type":{"type":"string","description":"Type of terms and condition to use"},"content":{"type":"string","description":"Content on terms and condition. Supports HTML & URL"},"linkText":{"type":"string","description":"Terms and condition link text"}},"required":["type","content","linkText"]},"BnplProductDetailsConfig":{"type":"object","properties":{"content":{"type":"string","description":"The APM provider product details"}},"required":["content"]},"PopupOverlayConfigDto":{"type":"object","properties":{"title":{"type":"string","description":"Title displayed in the popup overlay"},"message":{"type":"string","description":"Message displayed in the popup overlay"}},"required":["title","message"]}}},"paths":{"/merchant/provider/available":{"get":{"operationId":"MerchantProviderController_getAvailableProviders","summary":"Get all available APM providers ---- [auth scope:  merchant]","deprecated":false,"parameters":[{"name":"currency","required":false,"in":"query","description":"The currency, in ISO 4217 format.","schema":{}}],"responses":{"200":{"description":"Returns a list of available APM providers","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AvailableProvidersDto"}}}}}},"tags":["merchant/provider"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.optty.com/partner-onboarding-docs/onboarding-api/merchant-payment-method-configuration/get-merchant-provider-available.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
